Changes/archive/2006

Материал из ALT Linux Wiki
Перейти к: навигация, поиск


2006[править]

Декабрь[править]

27.12.2006

Если у кого-то после обновления не запускается k3b, то надо просто отодвинуть в сторону ~/.rcc. Подробности.

22.12.2006

Объявлено, что изменения в пакетах

apache

-1.3.37rusPL30.22-alt9,

collectd

-3.10.3-alt1 и

monit

-4.8.2-alt3 приведут к тому, что сервисы

httpd

,

httpd-perl

,

collectd

и

monit

отныне "из коробки" будут выключены. Если кто вдруг не знал, как пользоваться chkconfig(8) -- самое время узнать :)

21.12.2006

В Сизиф отправляется свежий dbus. Просьба воздержатся от обновления приложений который зависят от него пока большая часть их не будет пересобрана с новым dbus.

Майнтейнер

mount

предупреждает о том, что в сборке mount-2.12r-alt4 две старые крупные грабли заменяет одна мелкая -- для новых установок пакета

portmap

сервис portmap будет по умолчанию выключен. (как по мне, так совсем и не грабля)

11.12.2006

Новые ядра (2.6.18) располагаются в пакетах kernel-image-std-pae (для серверов с процессорами i686+, поддерживающими PAE) и kernel-image-std-smp (для рабочих станций и ноутбуков, включая SMP i586 и "старые" Pentium M с FSB400, которые PAE не умеют). SMP поддерживают оба варианта. Вледствие переименования (убран неактуальный суффикс 26) обновление следует провести вручную.

03.12.2006

Начиная с mount 2.12r-alt2, из него вынесена поддержка NFS во внешний модуль mount.nfs. Так что для монтирования NFS потребуется поставить пакет

nfs-clients

. Диагностика: E: Couldn't find package nfs-client

Ноябрь[править]

30.11.2006

Предупреждают, что

PolicyKit-0.2-alt4.git20060822

лучше не устанавливать вследствие недовытоптанных грабель неуточнённого характера.

27.11.2006

Майнтейнер

vzctl

переправляет предупреждение, что сборка 3.0.13-alt1 несколько сломана, и рекомендует дождаться -alt2. В incoming отправлен

MySQL41

4.1.21-alt5. Владельцы

MySQL

, если при dist-upgrade эта.. вещь.. попытается заменить ваш любимый

MySQL

5.0 - не верьте. Ставьте на холд, вешайте блокер багу и пишите в личку gns@/hiddenman@. Этого не должно происходить и на моих хостах не наблюдается, но мало ли. При явном

apt-get install MySQL41-server

выносятся

MySQL

любых других версий, и наоборот. Так и задумано. Проблема в том, что совместимость бинарных баз между версиями не гарантируется, поэтому при изменении версии надо дампить, отодвигать в сторонку /var/lib/mysql и загружать дамп.

Заинтересованные - тестируйте.

Если после обновления

libqt4

вдруг полезли совсем уж иероглифы, поможет rm -f ~/.config/Trolltech.conf

07.11.2006

bluez-utils

: в связи с исправлением #8885 после обновления до 3.7-alt1 необходимо (ну, необязательно, но это мусор) вручную удалить каталог /var/lib/lib/bluetooth либо перенести его содержимое в /var/lib/bluetooth (обращаю внимание, что в этом каталоге, в частности, содержатся ключи спаренных устройств). Майнтейнер

MySQL

обращает внимание на изменения и дополнения в сборке 5.0.27-alt1, которые хорошо бы проверить в разных ситуациях.

03.11.2006

Майнтейнер

KDE

предупреждает: "с обновлением до kdelibs-3.5.5-alt3 возможно подвисание KDE при завершении его работы. Рекомендуется завершить работу KDE до обновления. Если забудете, то Ctrl+Alt+Backspace. Если не поможет, то Ctrl+Alt+F1,Ctrl+Alt+Del"

Октябрь[править]

24.10.2006

В сизифе обновилась

libdb4

-- по крайней мере на

amarok

,

kaffeine

и

xmms

это проявилось так, что требуется отодвинуть в сторону ~/.rcc, чтобы

librcc

, с которой собрана

libtag

, не попадала впросак при запуске.

19.10.2006

Сообщается, что сизифовый

wine

-20060902-alt2 segfault'ится на старте. Майнтейнер в курсе. При срочной необходимости можно откатиться на alt1 или взять работающую сборку здесь.

04.10.2006

Майнтейнер

glibc

предупреждает по поводу перехода на 2.5: "будьте внимательны при осуществлении этого обновления. С сегодняшнего дня в Сизифе ядро 2.4 официально больше не поддерживается. Попытка установить glibc-2.5-alt1 в систему, работающую под управлением ядра версии <2.6.9, приведёт такую систему в нерабочее состояние." (диагностика: при запуске чего угодно, динамически с ней слинкованного -- FATAL: kernel too old)

уже замечены и идентифицированы грабли с Driver "nvidia" и включенным glx

Сентябрь[править]

29.09.2006

Не следует пугаться строк или страниц вывода при обновлении

dev

. Подробности письмом, вкратце -- майнтейнер не видит возможности сделать иначе или надёжно автоматизировать

service udevd stop
apt-get install dev
service udevd start
service syslogd restart

27.09.2006

Всем кто ещё не обновил GNOME (в частности, пакеты

gnome-control-center

и

gnome-session

) до версии 2.15/2.16, настоятельно рекомендуется дождаться появления в Сизифе пакета gnome-session-2.16.0-alt2, чтобы избежать проблем с применением различных общедесктопных настроек (в частности, оформления рабочего стола). Те, кто уже налетел на эти грабли, могут исправить скрипт /usr/bin/startgnome2, добавив запуск dbus-launch как указано в этом письме

15.09.2006

Тем, кто обновил KDE до 3.5.4, рекомедуется обновится до сборки alt4. Подробности

11.09.06

Счастливчикам, которые обновили php до 4.4.4-alt1 и у которых всё php-шное перестало работать -- рецепт таблеток от кашля. часть 1 часть 2 часть 3.

08.09.06

С

ncurses

(апстримом, на самом деле) наблюдаются странности, эффект которых схож с сведением терминала с ума бинаркой. Пока разбираются с апстримом и исправлением в сизифе, можно взять исправленные пакеты у abulava@.

03.09.06

Поскольку пакеты из GNOME 2.16 появляются в Сизифе постепенно, и из-за этого могут быть несогласованы друг с другом, настоятельно рекомендуется воздержаться от апгрейда пакетов

GNOME

в ближайшие несколько дней. Следите за новостями.

02.09.06

В KDE наблюдается падение kdesktop после апдейта. Решения:

1. Тупое: mv ~/.kde/share/config/kdesktoprc /.kde/share/config/kdesktoprc.old
2. Более хитрое: найти в ~/.kde/share/config/kdesktoprc строчку:
Preview=audio/,imagethumbnail,exrthumbnail,textthumbnail,djvuthumbnail,htmlthumbnail,cursorthumbnail,fontthumbnail

и заменить ее на

Preview=audio,imagethumbnail,exrthumbnail,textthumbnail,djvuthumbnail,htmlthumbnail,cursorthumbnail,fontthumbnail

т.е. убрать "/" после audio.

Август[править]

13.08.06

Пакеты

libpango 1.14.0, libgtk+2 2.10.1 и gtk-engines-* 2.7.6

, которые скоро окажутся в Сизифе, желательно обновлять все вместе. Аналогично gnome-themes-*, перед обновлением

крайне желательно проверить, что текущая тема Gtk+ не использует устаревший engine (Metal и Lighthouse Blue в gtk-engines-default больше нет). После обновления может понадобиться перезапустить все Gtk-приложения (в том числе GNOME, особенно его панель). Это замечание (пока) не касается пользователей x86_64 — на этой архитектуре не собрался пакет libpango, следовательно, и Gtk+ обновлять пока не стоит.

В связи с появлением Cairo 1.2.2, два замечания для пользователей

gswitchit-plugins

:

* Если вы используете флаги для индикатора раскладок — с новым Cairo флаги показываться не будут.
* Если вы используете плагин анимации для индикатора раскладок — отключите его, с новым Cairo он приводит к падению индикатора (это не связано с Gtk+, только с Cairo). Если вы уже налетели на эти грабли, запустите программу gswitchit-plugins-capplet и удалите плагин.

P.S. Особое замечание для пользователей x86_64: на вашей архитектуре новый libpango, увы, не собрался, соответственно, не стоит пока обновлять и Gtk+.

11.08.06

Настоятельно рекомендуется перед обновлением пакетов

metacity-themes-* и gnome-themes-*

проверить, что текущие темы на вашем рабочем столе не будут удалены. Список тем (и для Gtk+, и для Metacity), которые прекратили своё существование в Сизифе: Grand Canyon, Sandy, Sandwish, Simple, Smokey, Traditional, Ocean Dream.

10.08.06

Подозреваются серьёзные грабли в районе

libglade-2.6.0

, приводящие к неработоспособности GNOME и приложений, использующих эту библиотеку. Рекомендуется временно воздержаться от обновления пакета libglade.libglade вне подозрений

Июнь[править]

29.06.06

В переименованном

mod_php

(который теперь

apache-mod_php

) найдены недобитые остатки былого: Раскопки показали, что mod_php по новым путям даже не смотрит и вообще никакие ini файлы в дереве /etc/php/4.4.3/apache-mod_php/ не считывает. Скопировал все конфиги руками в /etc/php/4.4.3/mod_php/ -- все заработало, а также излишества нового: обновление прописывает неверные пути в php.ini -- с добавлением повсюду '.cvs2006' после '4.4.3', хотя на самом деле такого суффикса в файловой системе не наблюдается.

23.06.06

в первый же день тестирования выложенной вчера в Сизиф версии

dovecot

обнаружилась одна неприятная черта, см

https://bugzilla.altlinux.org/show_bug.cgi?id=9719 Поэтому, желающие обновить dovecot, если у вас уже есть базы почтовых сообщений, будьте осторожны. Особенно если с его mailfolder'ами что-то делали помимо dovecot'а (то есть подкладывали ему туда почту от других серверов при помощи rsync, scp, mv, cp и т.п). В ближайшее время в incoming/Sisyphus будет направлена версия dovecot без самых последних изменений, вызвавших эту трудность.

14.06.06

В настоящее время пакет

libsmbclient

сломан из-за нового OpenLDAP, пришедшего в Сизиф. Фикс ожидается на следующей неделе, в качестве временного решения для собирающих пакеты была выпущена сборка

gnome-vfs

без поддержки Samba shares. Если вы не хотите потерять поддержку Samba в GNOME, не обновляйте этот пакет!

06.06.06

Тем, кто испытывает трудности с обновлением тех или иных частей

GNOME

, или программ, использующих библиотеки из GNOME, рекомендуется прежде всего отдельно обновить пакеты, избавившиеся от двойки в названии. Поскольку в зависимостях используются названия с двойкой, а APT предпочитает точное совпадение с названием пакета совпадению с одним из Provides, эти пакеты автоматически обновляться не умеют. Это касается gnome-vfs(2), gnome(2)-media, gnome(2)-utils, libgnomeprint(2), libbonobo(2), libeel(2), nautilus(2) и ряда других пакетов из GNOME(2).

04.06.06

Если после обновления

CUPS

у вас всё работает кроме OpenOffice и Firefox, внесите пользователя в группу lp. (спасибо mithraen@ за указание на /var/run/cups/cups.sock)

02.06.2006

emacs-planner-mode-3.40-alt1

был переписан с использованием emacs-muse-mode. Необходимы изменения в конфигурации, для сохранения задач, созданных предыдущими версиями emacs-planner-mode, необходимо переименовать plan-файлы. Подробности здесь


Май[править]

29.05.2006

Мейнтейнер

polypaudio

без объяснения причин рекомендует поставить пакет на hold и через 2-3 дня hold снять.

26.05.2006

lav@: Очень мил changelog к

CUPS

, содержащий лишь "1.2.1". После обновления мне пришлось скопировать конфиг из rpmnew, потому что на старый он ругался (кстати, конфиг, идущий с пакетом, стал в 10 раз короче) и настроить все принтеры заново. Будьте осторожны.

23.05.2006

shrek@ предупреждает, что вышел X11R7.1 и сейчас не только традиционно отвалился

fglrx

, но и

nvidia

. rider@ предложил подержать в Daedalus до обновления проприетарных драйверов.

20.05.2006

vsu@ анонсирует выпуск

kernel-image-std26-up-2.6.16-alt5

и акцентирует внимание владельцев Intel-чипсетов, особенно имени ASUS, что могут отвалиться сенсоры (с подробным объяснением причины и вариантов).

19.05.2006

В ядрах vs26-smp-2.6.16-alt3 обнаружена проблема с утечкой памяти. lakostis@ обещает выложить исправленные пакеты.

18.05.2006

mithraen@ сообщает, что

postgresql

7.x ему более поддерживать неинтересно. inger@ говорит, что в сизиф собирается

ncurses/ncursesw-5.5

. rider@ предупреждает про словленный с

gnupg

сегфолт. Он же рекомендует обновить

udev

тем, у кого были проблемы с /dev/urandom (нерабочие sshd/ssh в т.ч.).

06.05.06

Есть проблемы с

hal-0.5.7-alt3

и

ivman-0.6.12-alt1

. Пока не стартует hal не будет работать ivman. Название службы у hal не так давно изменилось на haldaemon и у многих он просто пропал из списка установленных и стартующих при загрузке. Кроме того, группу ivman в его файле настроек нужно поменять на xgrp. Указанная там "из коробки" группа отсутствует.

04.05.06

Если у кого-либо (как у меня) возникли проблемы с загрузкой с

udev-091

, то поступило известие, что апстрим отловил и вскоре ожидается исправление.

03.05.2006

Как и обсуждалось, теперь в ядрах std26/vs26 используется патч altsec; соответственно /proc местами доступен группе proc, а dmesg -- пользователю root.

Апрель[править]

17.04.2006

[devel Спасайся кто может ;): hal, udev, dbus, pmount - обновлены до новых версий]

13.04.2006

Тем, кто не хочет видеть интерфейс GNOME на смеси русского и английского языков, не рекомендуется ставить пакет

libgnome

-2.14.1-alt1 -- в нём оказались потеряны файлы переводов. В сборке -alt2 всё будет исправлено.

Март[править]

31.03.2006

raorn@ предупредил, что в Sisyphus попадает

vim7

и тем, у кого он был уже установлен из Daedalus, придётся сперва ту сборку удалить (её обновление не предусмотрено).

28.03.2006 legion@ анонсировал изменения в структуре репозитория Sisyphus (остаётся только компонента classic; требуется вторая строчка с noarch вместо i586, поскольку симлинков там уже не будет). Просьба сизифящимся до конца этой недели поправить /etc/apt/sources.list. [сделано]

См. ещё один анонс в изменениях разработчикам.

24.03.2006

Понемногу перерабатывается xorg-x11-xfs в сторону необязательности; см. этот тред.

16.03.2006

Отмечают, что в ядре 2.6.14 модуль skystar2 убрали как устаревший, а вся поддержка переехала в модуль b2c2-flexcop-pci.

09.03.2006

Если кто-то не заметил, то опять изменилась подпись репозитория (с обновлением пакета

alt-gpgkeys

заранее).

03.03.2006

Поведение сервиса

iptables

по умолчанию касательно загрузки счётчиков изменилось. В версии 2.0.0 изменился формат и место расположения файлов конфигурации плейера

cmus

. Старая конфигурация подхвачена не будет.

02.03.2006

Майнейнер

asterisk

предупреждает, что обновление на 1.3.0-alt4.10 должно быть весьма тщательно обдуманным -- множество изменений.

Февраль[править]

17.02.2006

Сломалось dhcp из etcnet. Подробности?

16.02.2006

Прединфарктное состояние у некоторых вызвало перемещение mod_php5 в orphaned. Не произошло ничего страшного: пакет просто переименован в apache-mod_php5. Счастливые обладатели снапшота от 14.02 кроме apache-mod_php5-5.1.3, все еще имеют mod_php5-5.1.2 (сломанный).

15.02.2006

Предупреждают о возможных проблемах с mjpegtools, dvgrab и известных с xawtv вследствие обновления

libquicktime

до 0.9.8. Рекомендуется hold.

11.02.2006

[JT] Отмечается, что Sisyphus достиг пяти с половиной тысяч исходных пакетов с двумя тысячами открытых багрепортов. :-)

09.02.2006

Если после обновления

libX11

перестала работать часть иксового софта, включая WindowMaker -- следует сделать: echo /usr/X11R6/lib >> /etc/ld.so.conf.d/x11lib; ldconfig

Майнтейнер в курсе, уже отправил новый пакет в сизиф.

08.02.2006

zerg@ пояснил возможные вопросы касательно -lacl при сборке kde-зависимых пакетов => при столкновении надо добавить BuildRequires: libacl-devel libattr-devel

Он же посоветовал удалить /etc/xdg/menus/applications-merged/applications.menu, после чего KDE-3.5.1 в сизифе приходит в себя по части FD-части меню и привязок; и погрозился исправить.

Также если после обновления у вас перестала переключаться раскладка клавиатуры, то вы наверняка пользовались ~/.xkb. Он сменён на ~/.Xkbmap. См. подробности на http://wiki.sisyphus.ru/devel/X, а также altbug:9012


03.02.2006

В драйвере для видеочипов семейства

i810

версии 1.5.0.0 обнаружена неприятная бага (тёмный экран/отлетевшая клавиатура); исправление -- пока откатом на версию 1.4.1.3. После установки

apt-conf-sisyphus-2.0-alt1

обратите внимание, что появились файлы с репозиториями в sources.list.d, а значит к вашим настройкам без спроса добавятся репозитории в Интернете, причём для hasher также. altbug:5327

altbug:9048

02.02.2006

Дмитрий Левин предупреждает сборщиков пакетов, содержащих *.pc, об изменениях в

rpm-build

>= 4.0.4-alt58, во избежание атаки unmet'ов. Костик Лепихов рассказывает, на что стоит обратить внимание при переезде на отправившийся в Sisyphus

MySQL5

.

UPDATE: shrek@ описал решение ещё одной проблемы с некоторыми пакетами, зависящими от libMySQL.

Говорят, что

ipw2200

обзавёлся проблемами; пока их чинят, помогает options ipw2200 hwcrypto=0 в /etc/modules.conf.

Январь[править]

28.01.2006

Евгений Остапец сообщает о проблемах при обновлении

nss_ldap

до версии 244. Чтобы жизнь была легче, стоит задать таймауты в /etc/nss_ldap.conf:

nss_reconnect_sleeptime 2
nss_reconnect_maxsleeptime 2
nss_reconnect_maxconntries 2
nss_reconnect_tries 2

еще имеет смысл

bind_policy soft

27.01.2006

Обновление

libqt3

чревато слётом стилей KDE и некоторыми другими неприятностями -- следствие исправления ошибки.

22.01.2006

Обновление до KDE-3.5 может привести к тому, что в меню появится куча старых/ненужных/лишних ошметков от пунктов меню (openoffice 1.1.x, комерческое ПО, etc). Корень зла может находится в ~/.kde/share/applnk.

19.01.2006

Предупреждают, что etcnet-0.8.0-alt1 не имеет зависимости на ethtool, но не поднимает без него сеть.

UPDATE

: дело не в ethtool, лучше дождитесь версии 0.8.1.

18.01.2006

Перед обновлением glibc старожилы настоятельно рекомендуют удалить glibc-core-i686.

16.01.2006

Если у вас при обновлении (пакета xinitrc) слетел KDM, как временное решение можно сделать

ln -s /usr/bin/runwm /usr/X11R6/bin/runwm